package components
{
	import flash.events.MouseEvent;
	
	import mx.controls.Image;
	
	import spark.components.TextInput;
	
	public class CTextInputCSS extends TextInput
	{
		// SkinParts du composant
		[SkinPart(required="true")]
		public var btn:Image;
		
		// Data
		[Bindable]
		public var icon:String;
		
		public function CTextInputCSS()
		{
			super();
		}
		
		// Ajout les events listeners
		override protected function partAdded(partName:String,
											  instance:Object):void
		{
			super.partAdded(partName, instance);
			if (instance == btn)
				btn.addEventListener(MouseEvent.CLICK, btnClick_handler);
		}
		
		// Supprime les events listeners
		override protected function partRemoved(partName:String,
												instance:Object):void
		{
			super.partRemoved(partName, instance);
			if (instance == btn)
				btn.removeEventListener(MouseEvent.CLICK, btnClick_handler);
		}
		
		// Handler sur le bouton
		private function btnClick_handler(event : MouseEvent):void
		{
			this.textDisplay.text = "";
		}
	}
}